syntax = "proto3";
option go_package = ".;pb";
import "battle_msg.proto";

message DBPagoda {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  int32 pagodaId = 3;  //@go_tags(`bson:"pagodaId"`) 塔层
  map<int32,bool> reward = 4; // 是否领奖
  int32 type = 5;
  bool complete = 6; // 是否通关
  int32 passCheckID = 7; // 战令领奖ID
  int32 vipPassCheckID = 8; // vip战令领奖ID
  map<int32,int32> data = 9; // key 页签 value 层数
}


// 爬塔数据明细
message DBPagodaRecord {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  int32 pagodaId = 3;  //@go_tags(`bson:"pagodaId"`) 塔层
  int32 type = 4; // 塔类型
  string nickname = 5;// 昵称
  string icon = 6; // 头像
  int32 lv = 7; // 等级
  int32 leadpos = 8; //队长位置
  repeated LineUp line = 9; // 阵容数据
  int32 costTime = 10; //@go_tags(`bson:"costTime"`) 闯关耗时 单位s
  int32 tab = 11; // 页签
}